[- {
- "id": 87346,
- "amount": 123.45,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "status": "SCHEDULED",
- "created_datetime": "2023-10-26T00:00:00+00:00",
- "payment_method": "ACH_NEXT_DAY",
- "reference_id": "string",
- "eta": "2023-10-27T13:00:00+00:00",
- "payables": [
- {
- "amount": 123.45,
- "carrier_payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false
}, - "created_datetime": "2023-10-26T00:00:00+00:00",
- "id": 87346,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
- "po_number": "AP12345",
- "scheduled_for_date": "2023-10-29T00:00:00+00:00",
- "updated_datetime": "2023-10-26T00:00:00+00:00"
}
], - "broker": {
- "id": 66305,
- "name": "Atlanta Brokerage"
}, - "payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false,
- "is_factoring_company": true
}
}
]Example response
{- "payee_id": 896876,
- "carrier_payee_id": 10204,
- "payment_method": "ACH_NEXT_DAY",
- "amount": "18.32",
- "reference_id": "123XYZ"
}{- "id": 87346
}Example response
Unauthorized
Forbidden
Not Found
{- "id": 87346,
- "amount": 123.45,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "status": "SCHEDULED",
- "created_datetime": "2023-10-26T00:00:00+00:00",
- "payment_method": "ACH_NEXT_DAY",
- "eta": "2023-10-27T13:00:00+00:00",
- "payables": [
- {
- "amount": 123.45,
- "carrier_payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false
}, - "created_datetime": "2023-10-26T00:00:00+00:00",
- "id": 87346,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
- "po_number": "AP12345",
- "scheduled_for_date": "2023-10-29T00:00:00+00:00",
- "updated_datetime": "2023-10-26T00:00:00+00:00"
}
], - "broker": {
- "id": 66305,
- "name": "Atlanta Brokerage"
}, - "payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false,
- "is_factoring_company": true
},
}Cancel a transaction that has not yet been exported to the bank network.
409. Do not rely on fixed cutoff times.409.CANCELLED. A cancelled payable can be edited, deleted or retried.CANCELLED returns 200.transfer.cancelled webhook event is sent when the transaction is cancelled.200 response contains only id and status. Use GET /transactions/{id} for the rest.Example response
Bad Request. The transaction ID is not valid.
Unauthorized
Forbidden
Not Found
Conflict. The transaction can no longer be cancelled, or its payment method does not support cancellation.
The cancellation could not be completed or confirmed. The error title says which:
could not look up the transaction; nothing was cancelled: the transaction was not touched, retry the request.could not confirm the cancellation; check the transaction status before retrying: the cancellation may have been applied. Check the transaction status with GET /transactions/{id} before retrying.{- "id": 87346,
- "amount": 123.45,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "status": "SCHEDULED",
- "created_datetime": "2023-10-26T00:00:00+00:00",
- "payment_method": "ACH_NEXT_DAY",
- "eta": "2023-10-27T13:00:00+00:00",
- "payables": [
- {
- "amount": 123.45,
- "carrier_payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false
}, - "created_datetime": "2023-10-26T00:00:00+00:00",
- "id": 87346,
- "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
- "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
- "po_number": "AP12345",
- "scheduled_for_date": "2023-10-29T00:00:00+00:00",
- "updated_datetime": "2023-10-26T00:00:00+00:00"
}
], - "broker": {
- "id": 66305,
- "name": "Atlanta Brokerage"
}, - "payee": {
- "id": 87346,
- "payee_name": "Camila Trucking LLC",
- "is_verified": false,
- "is_factoring_company": true
},
}